#ifndef _POSITION_TRACKER_H
#define _POSITION_TRACKER_H

#include "../../stdafx.h"

class Position_Tracker : public IO_Module
{
public:
	Position_Tracker()
	{
		this->parent = NULL;
		this->moduleId = 0;
	}

	Position_Tracker(uint32 trackerId)
	{
		this->parent = NULL;
		this->moduleId = trackerId;
	}

protected:
	float positionX;
	float positionY;
	float orientation;

public:
	void Update();

	float GetPositionX()
	{
		return positionX;
	}

	float GetPositionY()
	{
		return positionY;
	}

	float GetOrientation()
	{
		return orientation;
	}
};

#endif
